// © 2025 Naked People Team. All Rights Reserved.

#pragma once

#include "CoreMinimal.h"
#include "../MissionGoal.h"
#include "MinTimeGoal.generated.h"

/**
 * 
 */
UCLASS(EditInlineNew)
class NAKEDDESIRE_API UMinTimeGoal : public UMissionGoal
{
	GENERATED_BODY()

public:
	virtual FText GetDescription() const override;
	
protected:	
	virtual void OnRestrictionUpdated(UGoalRestriction* Restriction) override;

private:
	UPROPERTY(EditDefaultsOnly)
	float MinTime = 3.f;

	FTimerHandle TimerHandle;

	void TimeIsUp();
};
